GGATEL(8)

NAME
ggatel - GEOM Gate local control utility

SYNOPSIS
ggatel create [-v] [-o ro | wo | rw] [-s sectorsize] [-t timeout] [-u unit] path
ggatel destroy [-f] -u unit
ggatel list [-v] [-u unit]
ggatel rescue [-v] [-o ro | wo | rw] -u unit path

DESCRIPTION
The ggatel utility is a local GEOM Gate class consumer. It can be used as a replacement for md(4) devices or as a “GEOMificator” for non GEOM-aware devices, but it was mainly created as an example on how to use and how to communicate with the GEOM Gate kernel module.

Available commands:

create
    Create a ggate provider related to the given regular file or device.

destroy
    Destroy the given ggate provider.

list
    List ggate providers.

rescue
    Take over a previously created provider and handle pending and future requests. This is useful if the initial ggatel process died. To prevent data loss, the given path must lead to the regular file or device that was used to create the provider.

Available options:

-f  Forcibly destroy ggate provider (cancels all pending requests).

-o ro | wo | rw
    Specify permission to use when opening the file or device: read-only (ro), write-only (wo), or read-write (rw). Default is rw.

-s sectorsize
    Sector size for ggate provider. If not specified, it is taken from device, or set to 512 bytes for files.

-t timeout
    Number of seconds to wait before an I/O request will be canceled. 0 means no timeout. Default is 30.

-u unit
    Unit number to use.

-v  Do not fork, run in foreground and print debug information on standard output.

path
    Path to a regular file or device.

EXIT STATUS
Exit status is 0 on success, or 1 if the command fails. To get details about the failure, ggatel should be called with the -v option.

EXAMPLES
“GEOMify” the “fd0” device and use gbde(8) to encrypt data on a floppy.

    ggatel create -u 5 /dev/fd0
    gbde init /dev/ggate5
    gbde attach ggate5
    newfs /dev/ggate5.bde
    mount /dev/ggate5.bde /secret
    cp /private/foo /secret/
    umount /secret
    gbde detach ggate5
    ggatel destroy -u 5

SEE ALSO
geom(4), gbde(8), ggatec(8), ggated(8), mount(8), newfs(8)

AUTHORS
The ggatel utility as well as this manual page was written by Pawel Jakub Dawidek <pjd@FreeBSD.org>.